Bug 633768 - /var/log/btmp is not created on boot
/var/log/btmp is not created on boot
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraServerTracker
  Show dependency treegraph
 
Reported: 2010-09-14 07:24 EDT by Daniel Mach
Modified: 2014-03-16 23:24 EDT (History)
5 users (show)

See Also:
Fixed In Version: initscripts-9.20.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-30 02:09:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Mach 2010-09-14 07:24:11 EDT
/var/log/wtmp is created on boot (if doesn't exist)
/var/log/btmp isn't

This happens either when the file is deleted or tmpfs is mounted on /var/log.

Could you update /etc/rc.sysinit so btmp is created if missing?
It has to be created with correct perms:

touch /var/log/btmp
chown root:utmp /var/log/btmp
chmod 0600 /var/log/btmp
Comment 2 Fedora Update System 2010-09-27 16:02:57 EDT
initscripts-9.20.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/initscripts-9.20.1-1.fc14
Comment 3 Fedora Update System 2010-09-28 13:32:46 EDT
initscripts-9.20.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update initscripts'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/initscripts-9.20.1-1.fc14
Comment 4 Fedora Update System 2010-09-30 02:09:03 EDT
initscripts-9.20.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.